> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search groups



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/group
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/group:
    post:
      tags:
        - Group
      summary: Search groups
      operationId: GroupController_search
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchGroupDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchGroupPage'
      security:
        - bearer: []
components:
  schemas:
    SearchGroupDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        isSystem:
          type: boolean
          description: Filter to system groups only
    SearchGroupPage:
      type: object
      properties:
        totalCount:
          type: number
        data:
          type: array
          items:
            $ref: '#/components/schemas/GroupDto'
      required:
        - totalCount
        - data
    GroupDto:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        slug:
          type: string
        isSystem:
          type: boolean
        entityType:
          type: string
          enum:
            - user
            - endpoint
            - any
        color:
          type: string
          nullable: true
          enum:
            - gray
            - red
            - orange
            - amber
            - green
            - teal
            - blue
            - indigo
            - purple
            - pink
        chatOpsEnabled:
          type: boolean
        containmentEnabled:
          type: boolean
        sourceSystemUpdates:
          type: boolean
          description: >-
            When false, outbound updates to the source security product are
            skipped for detections linked to assets in this group
        alwaysNotify:
          type: boolean
          description: >-
            When true, detections involving assets in this group are always
            escalated for notification, even when the verdict rule would resolve
            or only run chat ops
        createdAt:
          type: string
      required:
        - id
        - teamId
        - name
        - slug
        - isSystem
        - entityType
        - chatOpsEnabled
        - containmentEnabled
        - sourceSystemUpdates
        - alwaysNotify
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````